Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class InvalidExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.expression.ExpressionException
                      com.bea.p13n.expression.InvalidExpressionException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  UnboundVariableException

    public class InvalidExpressionException

extends ExpressionException

Exception class to signal Expression validation errors.

See Also
  Serialized Form

Constructor Summary
`InvalidExpressionException(String message)` Allocates an `InvalidExpressionException` object by associating the given message.
`InvalidExpressionException(String message, Throwable nestedException)` Allocates an `InvalidExpressionException` object by associating the given message and a nested exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidExpressionException

    public InvalidExpressionException(String message)

  Allocates an `InvalidExpressionException` object by associating the given message.

  Parameters
    `message` - The message string.

### InvalidExpressionException

    public InvalidExpressionException(String message,
                                      Throwable nestedException)

  Allocates an `InvalidExpressionException` object by associating the given message and a nested exception.

  Parameters
    `message` - The message string.
    `nestedException` - The nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.